"""
This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
"""

import sys
from enum import Enum

from sleet.__version__ import __title__, __version__

DEFAULT_CLIENT_HEADERS = {
    "Accept-Encoding": "gzip, deflate",
    "User-Agent": f"{__title__}/{__version__} "
                  f"(Python/{sys.version_info.major}.{sys.version_info.minor}.{sys.version_info.micro})"
}
API_VALID_REGIONS = "eu", "us"


class Namespace(Enum):
    DYNAMIC = "dynamic"
    PROFILE = "profile"
    STATIC = "static"


class WarcraftExpansion(Enum):
    CLASSIC = "Classic"
    TBCC = "The Burning Crusade (Classic)"
    RETAIL = "Retail"
